package com.persagy.admp

import org.mybatis.spring.annotation.MapperScan
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.builder.SpringApplicationBuilder
import org.springframework.boot.runApplication
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer
import org.springframework.context.annotation.ComponentScan

/**
 * 建筑信息管理平台应用用配置
 *
 * @author  张维新 <zhangweixin@sagacloud.cn>
 */
@ComponentScan(basePackages = ["com.persagy.admp", "com.persagy"])
@MapperScan("com.persagy.admp", "com.persagy")                       // Mapper组件扫描路径
//@ComponentScan("com.persagy", "com.persagy.admp")
//@NacosPropertySource(groupId = "ibms", dataId = "bimp", autoRefreshed = true)
@SpringBootApplication
open class AdmpApp : SpringBootServletInitializer() {

    /**
     * 配置应用
     *
     * @param   builder         应用 builder 对象
     *
     * @return  配置好的应用 builder 对象
     */
    override fun configure(builder: SpringApplicationBuilder): SpringApplicationBuilder {
        return builder.sources(AdmpApp::class.java)
    }
}

/**
 * Web 应用入口
 *
 * @param   args        命令行参数
 */
fun main(args: Array<String>) {
    runApplication<AdmpApp>(*args)
    return
}
