package com.persagy.admp

import com.persagy.service.interceptors.SPageInterceptor
import org.springframework.context.annotation.Configuration
import org.springframework.web.servlet.config.annotation.InterceptorRegistry
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer

/**
 * 数据管理平台 MVC 配置
 *
 * @author  张维新 <zhangweixin@sagacloud.cn>
 */
@Configuration
open class WebConfig : WebMvcConfigurer {

    /**
     * 添加拦截器
     *
     * @param   registry    拦截器注册器
     */
    override fun addInterceptors(registry: InterceptorRegistry) {
        /** 多个拦截器组成一个拦截器链 */
        registry.addInterceptor(SPageInterceptor()).addPathPatterns("/**")
        super.addInterceptors(registry)
        return
    }
}