package com.persagy.admp.controllers

import com.persagy.admp.entity.obj.Project
import com.persagy.database.SFilter
import com.persagy.mybatis.SMybatisDao
import com.persagy.service.SObjectService
import com.persagy.service.models.requests.SQueryRequest
import com.persagy.service.models.responses.SQueryResponse
import io.swagger.v3.oas.annotations.Operation
import io.swagger.v3.oas.annotations.tags.Tag
import org.springframework.web.bind.annotation.PostMapping
import org.springframework.web.bind.annotation.RequestBody
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

/**
 * 项目对象接口
 *
 * @author  张维新 <zhangweixin@sagacloud.cn>
 */
@Tag(name = "01. project", description = "建筑对象接口")
@RestController
@RequestMapping("/dict/project/")
class ProjectController {


    var projectService = SObjectService(SMybatisDao(Project::class.java))


    /**
     * 查询楼层信息
     *
     * @param request     查询信息条件
     * @return 查询结果
     */
    @Operation(summary = "查询楼层信息", description = "级联对象：建筑（building）、项目（project）、楼层贯通关系（floorThroughList）")
    @PostMapping(value = ["/query"])
    fun query(@RequestBody request: SQueryRequest): SQueryResponse<Project> {
        return projectService.pageQuery(request)
    }



}